Bug 162763 - [patch] sysutils/zfs-snapshot-mgmt: broken with RUBY_VER=1.9 since 1.9.3-p0
Summary: [patch] sysutils/zfs-snapshot-mgmt: broken with RUBY_VER=1.9 since 1.9.3-p0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-22 20:20 UTC by Jan Beich
Modified: 2012-01-27 17:38 UTC (History)
0 users

See Also:


Attachments
a.diff (944 bytes, patch)
2011-11-22 20:20 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2011-11-22 20:20:00 UTC
Rename Config class to not clash with deprecated one having same name.

ref. Config = RbConfig in /usr/local/lib/rbconfig/obsolete.rb

How-To-Repeat: $ make install RUBY_VER=1.9
$ zfs-snapshot-mgmt
/usr/local/bin/zfs-snapshot-mgmt:182: Use RbConfig instead of obsolete and deprecated Config.
/usr/local/bin/zfs-snapshot-mgmt:182:in `<main>': Config is not a class (TypeError)
Exit 1
Comment 1 Edwin Groothuis freebsd_committer 2011-11-22 20:20:09 UTC
Maintainer of sysutils/zfs-snapshot-mgmt,

Please note that PR ports/162763 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162763

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-11-22 20:20:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jan Beich freebsd_committer 2011-11-22 20:24:12 UTC
> ref. Config = RbConfig in /usr/local/lib/rbconfig/obsolete.rb

typo in /usr/local/lib/ruby/1.9/rbconfig/obsolete.rb
Comment 4 Martin Wilke freebsd_committer 2011-11-24 16:39:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 Martin Wilke freebsd_committer 2012-01-27 17:38:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!